# Sparse representations with Gaussian atoms

This repository contains the main implementations for sparse representation and dictionary learning algorithms for dictionaries whose atoms are characterized by Gaussian probability distributions around some central atoms. We included here the two implementations, one in the spirit of Orthogonal Matching Pursuit (in Python) and the other based on L1-regularization (in Matlab).

The necessary data files for reproducing the results presented in our paper are available on our website [https://asydil.upb.ro/software/](https://asydil.upb.ro/software/)


## Citing Us

This represents the main resources necessary for reproducing the results presented in “Sparse representation with Gaussian atoms”, by Denis C. Ilie Ablachim, Andra Baltoiu and Bogdan Dumitrescu. If you use our work please cite the following paper

```
@inproceedings{ilie2023sparse,
  title={Sparse representation with Gaussian atoms},
  author={Ilie-Ablachim, Denis C and Baltoiu, Andra and Dumitrescu, Bogdan},
  booktitle={OJSP - submitted},
  year={2023},
  organization={IEEE}
}
```

## Funding

This work is supported by a grant of the Ministry of Research, Innovation and Digitization, CNCS – UEFISCDI, project number PN-III-P4-PCE-2021-0154, within PNCDI III.